<?php
$tdatasocio = array();
$tdatasocio[".searchableFields"] = array();
$tdatasocio[".ShortName"] = "socio";
$tdatasocio[".OwnerID"] = "";
$tdatasocio[".OriginalTable"] = "dbo.tickeo";


$tdatasocio[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatasocio[".originalPagesByType"] = $tdatasocio[".pagesByType"];
$tdatasocio[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatasocio[".originalPages"] = $tdatasocio[".pages"];
$tdatasocio[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatasocio[".originalDefaultPages"] = $tdatasocio[".defaultPages"];

//	field labels
$fieldLabelssocio = array();
$fieldToolTipssocio = array();
$pageTitlessocio = array();
$placeHolderssocio = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssocio["English"] = array();
	$fieldToolTipssocio["English"] = array();
	$placeHolderssocio["English"] = array();
	$pageTitlessocio["English"] = array();
	$fieldLabelssocio["English"]["empleadoID"] = "Empleado ID";
	$fieldToolTipssocio["English"]["empleadoID"] = "";
	$placeHolderssocio["English"]["empleadoID"] = "";
	$fieldLabelssocio["English"]["fechahora"] = "Fechahora";
	$fieldToolTipssocio["English"]["fechahora"] = "";
	$placeHolderssocio["English"]["fechahora"] = "";
	$fieldLabelssocio["English"]["nombre"] = "Nombre";
	$fieldToolTipssocio["English"]["nombre"] = "";
	$placeHolderssocio["English"]["nombre"] = "";
	if (count($fieldToolTipssocio["English"]))
		$tdatasocio[".isUseToolTips"] = true;
}


	$tdatasocio[".NCSearch"] = true;



$tdatasocio[".shortTableName"] = "socio";
$tdatasocio[".nSecOptions"] = 0;

$tdatasocio[".recsLimit"] = 1;
$tdatasocio[".mainTableOwnerID"] = "";
$tdatasocio[".entityType"] = 1;
$tdatasocio[".connId"] = "biometrico_at_127_0_0_1";


$tdatasocio[".strOriginalTableName"] = "dbo.tickeo";

	



$tdatasocio[".showAddInPopup"] = false;

$tdatasocio[".showEditInPopup"] = false;

$tdatasocio[".showViewInPopup"] = false;

$tdatasocio[".listAjax"] = false;
//	temporary
//$tdatasocio[".listAjax"] = false;

	$tdatasocio[".audit"] = false;

	$tdatasocio[".locking"] = false;


$pages = $tdatasocio[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasocio[".edit"] = true;
	$tdatasocio[".afterEditAction"] = 1;
	$tdatasocio[".closePopupAfterEdit"] = 1;
	$tdatasocio[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasocio[".add"] = true;
$tdatasocio[".afterAddAction"] = 1;
$tdatasocio[".closePopupAfterAdd"] = 1;
$tdatasocio[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasocio[".list"] = true;
}



$tdatasocio[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasocio[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasocio[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasocio[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasocio[".printFriendly"] = true;
}



$tdatasocio[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasocio[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasocio[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasocio[".isUseAjaxSuggest"] = true;





$tdatasocio[".ajaxCodeSnippetAdded"] = false;

$tdatasocio[".buttonsAdded"] = false;

$tdatasocio[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasocio[".isUseTimeForSearch"] = false;


$tdatasocio[".badgeColor"] = "008B8B";


$tdatasocio[".allSearchFields"] = array();
$tdatasocio[".filterFields"] = array();
$tdatasocio[".requiredSearchFields"] = array();

$tdatasocio[".googleLikeFields"] = array();
$tdatasocio[".googleLikeFields"][] = "empleadoID";
$tdatasocio[".googleLikeFields"][] = "fechahora";
$tdatasocio[".googleLikeFields"][] = "nombre";



$tdatasocio[".tableType"] = "list";

$tdatasocio[".printerPageOrientation"] = 0;
$tdatasocio[".nPrinterPageScale"] = 100;

$tdatasocio[".nPrinterSplitRecords"] = 40;

$tdatasocio[".geocodingEnabled"] = false;










$tdatasocio[".pageSize"] = 20;

$tdatasocio[".warnLeavingPages"] = true;



$tstrOrderBy = "order by  fechahora desc";
$tdatasocio[".strOrderBy"] = $tstrOrderBy;

$tdatasocio[".orderindexes"] = array();


$tdatasocio[".sqlHead"] = "SELECT [empleadoID]        ,[fechahora]                ,[nombre]";
$tdatasocio[".sqlFrom"] = "FROM [biometrico].[dbo].[tickeo]";
$tdatasocio[".sqlWhereExpr"] = "";
$tdatasocio[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasocio[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasocio[".arrGroupsPerPage"] = $arrGPP;

$tdatasocio[".highlightSearchResults"] = true;

$tableKeyssocio = array();
$tdatasocio[".Keys"] = $tableKeyssocio;


$tdatasocio[".hideMobileList"] = array();




//	empleadoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "empleadoID";
	$fdata["GoodName"] = "empleadoID";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("socio","empleadoID");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "empleadoID";

		$fdata["sourceSingle"] = "empleadoID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "[empleadoID]";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasocio["empleadoID"] = $fdata;
		$tdatasocio[".searchableFields"][] = "empleadoID";
//	fechahora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fechahora";
	$fdata["GoodName"] = "fechahora";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("socio","fechahora");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fechahora";

		$fdata["sourceSingle"] = "fechahora";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "[fechahora]";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasocio["fechahora"] = $fdata;
		$tdatasocio[".searchableFields"][] = "fechahora";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("socio","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "[nombre]";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasocio["nombre"] = $fdata;
		$tdatasocio[".searchableFields"][] = "nombre";


$tables_data["socio"]=&$tdatasocio;
$field_labels["socio"] = &$fieldLabelssocio;
$fieldToolTips["socio"] = &$fieldToolTipssocio;
$placeHolders["socio"] = &$placeHolderssocio;
$page_titles["socio"] = &$pageTitlessocio;


changeTextControlsToDate( "socio" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["socio"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["socio"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_socio()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "[empleadoID]        ,[fechahora]                ,[nombre]";
$proto0["m_strFrom"] = "FROM [biometrico].[dbo].[tickeo]";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "order by  fechahora desc";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
$obj = new SQLNonParsed(array(
	"m_sql" => "[empleadoID]"
));

$proto6["m_sql"] = "[empleadoID]";
$proto6["m_srcTableName"] = "socio";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
$obj = new SQLNonParsed(array(
	"m_sql" => "[fechahora]"
));

$proto8["m_sql"] = "[fechahora]";
$proto8["m_srcTableName"] = "socio";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
$obj = new SQLNonParsed(array(
	"m_sql" => "[nombre]"
));

$proto10["m_sql"] = "[nombre]";
$proto10["m_srcTableName"] = "socio";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "biometrico.dbo.tickeo";
$proto13["m_srcTableName"] = "socio";
$proto13["m_columns"] = array();
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "[biometrico].[dbo].[tickeo]";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "socio";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto16=array();
	$obj = new SQLNonParsed(array(
	"m_sql" => "fechahora desc"
));

$proto16["m_column"]=$obj;
$proto16["m_bAsc"] = 0;
$proto16["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto16);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="socio";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_socio = createSqlQuery_socio();


	
		;

			

$tdatasocio[".sqlquery"] = $queryData_socio;



$tdatasocio[".hasEvents"] = false;

?>